be.fgov.ehealth.mycarenet.commons.protocol.v4

## Class SendResponseType

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.mycarenet.commons.protocol.v4.SendResponseType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AskAgreementResponse, CancelAttestationResponse, ConsultAgreementResponse, SendAttestationResponse

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:56:01+01:00",
                 comments="JAXB RI v2.3.7")
      public class SendResponseType
      extends ResponseType
      implements Serializable

  Generic synchronised response type. A SendResponseType contains a single Return element.

  Java class for SendResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SendResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}ResponseType">
             <sequence>
               <element name="Return" type="{urn:be:fgov:ehealth:mycarenet:commons:protocol:v4}ResponseReturnType"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SendResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResponseReturnType` | `getReturn()` Gets the value of the return property.
    `void` | `setReturn(ResponseReturnType value)` Sets the value of the return property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SendResponseType

          public SendResponseType()

  - ### Method Detail

    - #### getReturn

          public ResponseReturnType getReturn()

      Gets the value of the return property.
      Returns:
        possible object is `ResponseReturnType`

    - #### setReturn

          public void setReturn(ResponseReturnType value)

      Sets the value of the return property.
      Parameters:
        `value` - allowed object is `ResponseReturnType`

Connector Packaging PHYSIOTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.